package body MSHTML.IHTMLDataTransfer_Object is

   function setData
     (This   : IHTMLDataTransfer_Type;
      format : GNATCOM.Types.VARIANT;
      data   : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLDataTransfer_setData,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => data,
          2 => format),
         Free);
   end setData;

   function getData
     (This   : IHTMLDataTransfer_Type;
      format : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLDataTransfer_getData,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => format),
         Free);
   end getData;

   function clearData
     (This   : IHTMLDataTransfer_Type;
      format : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLDataTransfer_clearData,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => format),
         Free);
   end clearData;

   procedure Put_dropEffect
     (This : IHTMLDataTransfer_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDataTransfer_Put_dropEffect,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_dropEffect;

   function Get_dropEffect
     (This : IHTMLDataTransfer_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDataTransfer_Get_dropEffect);
   end Get_dropEffect;

   procedure Put_effectAllowed
     (This : IHTMLDataTransfer_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDataTransfer_Put_effectAllowed,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_effectAllowed;

   function Get_effectAllowed
     (This : IHTMLDataTransfer_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDataTransfer_Get_effectAllowed);
   end Get_effectAllowed;

end MSHTML.IHTMLDataTransfer_Object;

